In today's world, the field of Electronic Design Automation (EDA) has been monopolized by the three giants Cadence, Synopsys and Simens for a long time. Their share of the chip design software market is 40%, 45% and 15% respectively. In the past few years, these international giants have acquired almost all well-known companies in the field of physical simulation, almost turning the CAE field of industrial software into a sub-field of EDA.
Revolution of the Century: The Integration of EDA and CAE
The person driving this century-old revolution is a Chinese legend in the EDA field, Cadence Global Vice President: Mr. Ben Gu. Starting in 2019, Ben has led Cadence's transformation from EDA to system automation, and promoted Cadence's wholly-owned acquisition of multiple industrial simulation software companies, including Pointwise in the United States, Numeca in Belgium, Cascade in the United States, and Beta CAE in Greece. Ben strongly promoted Cadence's acquisition of Beta CAE for US$1.24 billion, which subsequently triggered a merger and acquisition frenzy in the EDA field.
Simens completed the acquisition of industrial simulation and analysis software provider Altair for US$10 billion, becoming the second largest merger and acquisition in the history of industrial software. Synopsys fully acquired Ansys, a giant in the field of industrial simulation software, for US$35 billion. It took 18 months and spanned eight major regulatory jurisdictions, setting a record for the largest merger and acquisition amount in the history of industrial software. At present, the merger and acquisition battle has settled, and the EDA community has witnessed Mr. Gu Xin's foresight and decisiveness. The industry recognizes him as the founder of the integration of EDA and CAE technologies.

International EDA giants such as Cadence, Synopsys and Simens quickly acquire key technologies they are missing through mergers and acquisitions, and strive to cover full-stack solutions from chips to systems, forming a closed loop of the technology chain, thereby opening up the entire process of chip design, verification and simulation on the same platform. Ben has been working in the field of EDA multi-physics simulation for decades, and has a deep grasp of the key technical aspects of each major link and the current international development level. Years of in-depth thinking and extensive communication have enabled him to summarize various technical bottlenecks in the EDA-CAE field, and have profound and unique insights into each issue. He believes that many current solutions to bottleneck problems rely on empirical engineering methods, using the accumulation of manpower to make up for methodological flaws, without understanding the nature of the problem; in order to completely solve the core problems in the field of EDA-CAE, traditional methods are at the end of their rope, and new ideas and methods must be introduced. Therefore, while promoting engineering solutions over the years, he has maintained long-term cooperative relationships with many academic leaders in the EDA-CAE field, striving to find revolutionary theories and ideas in the academic world. In recent years, well-known scholars who have collaborated with Ben include Professor Tom Hughes, academician of the three US academies and the founder of isogeometric analysis, Professor Parviz Moin, founding director of the Turbulence Center of Stanford University and academician of both US academies, Professor Gianluca Laccarino, director of the Mechanical Engineering Department of the School of Engineering, Stanford University, Professor Si Hang, an expert in the field of international grid generation and Yangtze River Chair Professor, Professor Reina of Dalian University of Technology, an expert in the field of international grid generation and a National Distinguished Young Scholar, etc.

Figure 2. Discrete Surface Ricci flow is currently the only universal calculation method to construct the Riemannian metric from Gaussian curvature.
The author's team's work on computational conformal geometry, especially discrete Ricci flow (Figure 2), aroused Ben's strong interest. Ben invited the author to visit Cadence's branch in Austin, Texas, for in-depth exchanges and discussions. At the same time, top international experts from academia and industry were introduced to the author for academic exchanges, and multiple meetings were organized to have direct conversations with the front-line technical backbones of Pointwise, Numeca and Beta CAE, to showcase their technical solutions, discuss the technical needs faced, and the difficulties that urgently need to be solved, etc. In the past few years, the author and Ben's team have cooperated in depth to learn in depth professional knowledge in the field of EDA-CAE, current international mainstream technical routes and core algorithms. Especially in the summer of 2025, the author led a team of doctoral students and was stationed directly at the Cadence Austin branch. Together with Ben and Cadence Senior Director Mr. Lu Chuanlin, they worked day and night and forgot to eat and sleep to jointly solve core problems in the EDA-CAE field.
Large domain differential geometry
Through ideological collision with top international experts and continuous in-depth investigation and analysis, Ben and the author reached a consensus that a large number of engineering problems in the current EDA-CAE field can essentially be summed up in one sentence:The core difficulty stems from global geometry and topology, and currently the industry has only reached the level of local differential geometry.. Below, we analyze several common examples.
|
|
|
Figure 3. Quadrilateral mesh and NURBS representation of the icing wing surface (Zhu Yiming, Wang Yue, Chen Yazheng, Pu Yulong, Chen Fuwei, etc.).
For example, in the entire CAD (computer-aided design) field, all surfaces and entities are represented by splines (ie, sliced rational polynomials). The design of all cars, ships, and airplanes is based on the so-called NURBS technology to automatically splice piecewise rational polynomials to obtain an overall second-order smooth surface (Figure 3). In the early days of manufacturing development, most of the curved surfaces designed by the industry were flat areas or surfaces with simple topology. NURBS technology showed huge advantages. However, in modern times, the surface topology of industrial design has become more and more complex, and NURBS technology has encountered huge bottlenecks. NURBS is essentially based on the so-called polar form theory, also known as bloom theory, and the polar form is based on affine geometric invariants. Therefore, if the NURBS theory is directly extended from Euclidean space to a general manifold, the manifold needs to have a so-called affine structure, so that affine geometry can be directly defined on the manifold. However, according to the topological barrier theory (representational class theory), generally topologically complex surfaces do not have a global affine structure, and affine geometry cannot be defined as a whole. Singular points or singular curves must be introduced into NURBS surfaces. From this, we see the inherent contradiction between local geometric methods and global differential geometry. Engineers have invented various methods to make up for it. For example, the common trimmed NURBS method is to divide the entire surface into multiple surface patches. Each patch is represented by NURBS, and the boundary of the surface patch is represented by the intersection line of the NURBS surface. Professor Jorg Peters, an academic leader in the CAD field, once publicly clarified the shortcomings of this method: the intersection of two NURBS surfaces needs to express three algebraic curves, a curve in a three-dimensional space, the representation of the curve in the parameter domain of the first NURBS surface, and the representation of the curve in the parameter domain of the second NURBS surface. None of these three representations are accurate, they are all rough approximations. As a result, the final surface cannot be entirely watertight. In physical simulation, especially in isogeometric analysis, we need the geometric surface to be overall watertight. nTopology's technical president (former Simens Fellow) George Allen also publicly stated: Decades of practice have convinced him that the current NURBS technology has reached the end of its rope and will be replaced by a new, more holistic approach. Since the overall affine structure does not exist, the problem boils down to how to reasonably select singular points or singular curves. This really comes down to the characteristic class theory of fiber bundles.

For another example, the ultimate mathematical form of physical laws is partial differential equations. Multiphysics simulation problems are essentially about solving linear and nonlinear partial differential equations on Riemannian manifolds. At present, most problems in the field of EDA-CAE are about solving elliptical linear partial differential equations, which ultimately boil down to the Finite Element Method and the Finite Volume Method. The so-called finite element method is to mesh surfaces or entities, turn partial differential equations into weak solution forms, and then transform them into solving large sparse linear equation problems. However, many complex physical problems and geometric problems are ultimately reduced to strongly nonlinear partial differential equations, and the traditional finite element method is beyond its capabilities. For example, the design problem of complex antennas is equivalent to the optimal transmission problem on the sphere, which ultimately boils down to the Monge-Ampere Equation. The solution to this problem relies on the geometric variation method. The mesh needs to be dynamically generated during the solution process, and the finite element method cannot be directly applied. For another example, the simulation of electromagnetic phenomena on complex manifolds requires solving tensor partial differential equations. For example, the magnetic potential is equivalent to the harmonic differential form, and the classic finite element method needs to be extended to external differentials. Judging from the current level of technological development, the method of solving linear numerical partial differential equations is relatively mature. The real bottleneck lies in geometric processing, especially grid generation. Grid generation further highlights the global topology and geometric properties of engineering problems. The traditional finite element method is of limited help for grid generation, and more modern and profound mathematical theories are needed to solve it.
Holy Grail Question
In the field of EDA-CAE, surface meshing is mainly divided into triangular meshing (Fig. 4) and regular quadrilateral meshing (Fig. 3). Solid meshing is mainly divided into tetrahedral meshing and regular hexahedral meshing (Fig. 5). Regular hexahedral mesh generation has always been called the Holy Grail problem in the field of CAE.
|
|
|
Figure 5. Hexahedral meshing of mechanical parts (Zhu Yiming, Qi Zhihui, Fang Siyu, Chen Yazheng, Pu Yulong).
Despite the obvious advantages, generating high-quality fully hexahedral meshes is much more difficult than generating tetrahedral meshes. The automatic meshing algorithm for tetrahedral meshing is fast and robust, while hexahedral meshing usually requires manual intervention, sweeping/mapping and other strategies. In recent years, many new algorithms have been developed by scholars, such as octree, multicube, central axis, etc., but they have not met the requirements of the industry. Many scholars have also raised questions about the necessity of hexahedral mesh generation.

Figure 6. Regular quadrilateral meshing of a car white body based on the Riemann-Loch theory, and simulation of car collision problems using isogeometric analysis methods (Kendrick Shepherd, Tom Hughes).
Ben arranged for the author to connect with Dimitris Siskos, CEO of Beta CAE, and Dimitrios Zafeiropoulos, a senior grid expert. The two Dimitrios' point of view was clear: their vast European automotive industry users strongly wanted hexahedral meshes. Gianluca, dean of the Department of Mechanical Engineering at Stanford University, also has a clear attitude: The Holy Grail problem is the focus of much attention, and its solution will certainly greatly promote the development of the EDA-CAE field. Professor Hughes, the father of isogeometric analysis, has also stated many times that the bottleneck of isogeometric analysis lies in the establishment of solid splines, which depends on the solution of the Holy Grail problem. These experts and academics explained to the author the significant advantages of hexahedral meshes. Hexahedral meshes tend to produce more accurate finite element solutions for the same number of degrees of freedom, especially in cases involving curved, incompressible materials or near-incompressible elasticity. Hexahedral elements are more resistant to distortion, while tetrahedral elements are prone to "slivers" that significantly reduce accuracy and condition numbers. In a structured hexahedral mesh, the same accuracy as a tetrahedral mesh can be achieved with fewer elements. At the same resolution, a hexahedral mesh requires fewer elements than a tetrahedral mesh, thus reducing the system size. Computational efficiency can be further improved if hexahedral elements are aligned with principal stress directions or streamlines. Hexahedral meshes generally produce a sparser, more well-conditioned stiffness matrix. In computational fluid dynamics, hexahedral meshes are naturally suitable for boundary layer alignment and are more accurate in fluid flow and turbulence modeling. In mechanics of materials, hexahedral elements can be aligned with the principal directions of the material to better represent anisotropy. In large deformation problems of plasticity and contact, hexahedral elements can avoid the "locking phenomenon" common with tetrahedrons. As a result, hexahedral meshes are widely used in many CAE industrial fields (such as automobiles, aerospace, and ships) because of their reliability, robustness, and certification standards. Hex-dominated meshes are the industry standard for simulations such as crash safety, stamping and forming, and more. In summary, hexahedral meshes provide greater accuracy, stability, and efficiency with fewer elements in many simulation tasks (especially structural mechanics and fluid dynamics). In contrast, tetrahedral meshes, although easier to generate, often require a large number of elements to achieve similar accuracy.

Figure 7. Hexahedral mesh generation of human skeleton (Zheng Xiaopeng, Zhu Yiming, Qi Zhihui, Wang Yu, etc.).
However, the core reason why hexahedral mesh generation is called the Holy Grail problem lies in its inherent difficulty. We first examine a relatively simple 2D problem, namely the quadrilateral meshing problem of a surface. As shown in Figure 8, industry requires that the two families of streamlines of the quadrilateral grid are perpendicular to each other, the grid size is relatively uniform, there are as few singular vertices as possible, and characteristic curves are retained, etc.

The author's team used the holopure line bundle theory of the Riemann surface to lay a theoretical foundation for surface regular quadrilateral meshing. In essence, the quadrilateral mesh of the surface is equivalent to an overall meromorphic intercept in the 4th power of the holomorphic cotangent bundle of the Riemann surface. The singular points of the quadrilateral mesh are equivalent to the divisor of the meromorphic intercept, that is, the representative class of the holomorphic line bundle, which satisfies specific algebraic geometry equations. All possible quadrilateral meshes, that is, the space of meromorphic intercepts, are determined by the Riemann-Roch theorem.

By connecting the midpoints of opposite sides inside each quadrilateral, we get two midlines. By connecting the midlines of different quadrilaterals, we get a closed curve on the surface. Each closed curve is called a hyperplane of the quadrilateral grid, and each hyperplane is a leaf. The leaves that are partially parallel to each other form the leaf-like structure of the curved surface. The quadrilateral mesh induced by meromorphic interception on the curved surface obtains a harmonious leaf-like structure, as shown in Figure 9. Constructing harmonic leaf structures, calculating divisors of meromorphic intercepts, and calculating meromorphic differentials all require modern global differential geometry and algebraic geometry.
|
|
|
Figure 10. Hexahedral mesh of gear (Zheng Xiaopeng, Zhu Yiming, Qi Zhihui).
In particular, these algorithms rely on the construction of special Riemannian metrics. So far, the finite element method is powerless to construct Riemannian metric, and the only method for constructing universal Riemannian metric is the discrete Ricci flow method. Introducing the Ricci flow method into the EDA-CAE field seems to be the general trend.
3-Manifold topology theory
The entities in the real world are 3-dimensional manifolds. 3-dimensional manifolds do not have conformal geometry. Therefore, the method of complex geometry cannot be directly applied to hexahedral meshing. This is one of the core reasons why the Holy Grail problem has been unresolved for a long time.
|
|
|
Recently, the rapid development of 3-manifold topology theory has brought hope to the solution of the Holy Grail problem. In order to study the topology of a surface, we often select some circles on the surface. These circles are called "essential" if they cannot be reduced to points on the surface. We cut the surface along the essential circle, and the topology of each connected branch becomes simpler. Decompose repeatedly until each connected branch cannot be decomposed further. In this way, the "pants decomposition" of the surface is obtained. For 3-manifolds, we can use the same technique to decompose it to simplify the problem. At this time, we need to find the "essential surface" inside the 3-manifold. Essential surfaces include so-called incompressible surfaces. The definition of incompressible surfaces has the following requirements: the essential circles on the surface cannot be reduced to a point inside the 3-manifold, that is, the basic group of the surface is embedded in the basic group of the 3-manifold. If there is an embedded, bilateral incompressible surface inside the 3-manifold, we split it in two and then decompose each branch again until no further decomposition is possible. Such a 3-manifold is called a Haken manifold.
|
|
|
Figure 12. Hexahedral mesh of the crankshaft (Zhu Yiming, Qi Zhihui, Fang Siyu).
William Thurston established a geometrization framework (geomitrization) for the 3-manifold theory: we can use an incompressible sphere to decompose the three-manifold until it cannot be further decomposed, thereby obtaining multiple prime 3-manifolds; each prime 3-manifold is then subjected to the so-called JSJ decomposition along the incompressible tire surface, and each final unit can be equipped with one of the 8 standard geometries. Thurston once raised 23 problems and 59 conjectures in 3-manifold topology, and the virtual Haken conjecture was the last two proven conjectures. The virtual Haken conjecture states that all hyperbolic three-manifolds are virtual Haken's. Virtual here means that there is a finite overlapping space of hyperbolic three-manifolds, and this covering space is Haken's. In order to prove the virtual Haken conjecture, mathematicians developed the "cube complex theory" (cube complex theory), and the cube complex is a hexahedral mesh, which pointed out the direction for solving the Holy Grail problem.
|
|
|
Figure 13. Hexahedral mesh of the battery box (Zhu Yiming, Qi Zhihui, Fang Siyu, Chen Yazheng, Pu Yulong).
Kanh and Markovic, postdocs at Stony Brook University, proved that there are many immersed incompressible surfaces inside the hyperbolic 3-manifold. Their idea was to examine the frame flow on the oriented orthogonal standard frame bundle of the hyperbolic 3-manifold. This flow drives a hyperbolic trouser leg to traverse the entire bundle. Multiple trouser legs are connected to obtain many almost completely geodesic surfaces, thereby obtaining immersed incompressible surfaces. The so-called immersion means that the surface has self-intersection. If we can remove the self-intersection by finite coverage, then we can prove the virtual Haken conjecture. As shown in Figure 14, the blue circle is immersed in the genus 2 surface, as if it has a self-intersection point. The green circle passing through the self-intersection point is not closed on the blue circle, but is closed on the surface. The basic group of the blue circle is like a subgroup of the basic group of the surface, corresponding to the covering space in the upper left corner. In this covering space, the blue circle no longer intersects itself, so the immersion is promoted to embedding. But this coverage space covers the original surface infinitely. We need to find a finite double coverage space, such as the double coverage space in the upper right corner, where the green circle is promoted to a non-closed path and the blue circle is promoted from immersion to embedding.

The basic group of the hyperbolic 3-manifold reflects all the topological information of the manifold. Mathematicians translate the topological conditions into the language of group theory, and then use geometric group theory methods to advance it. Assume that the incompressible surface is immersed in a hyperbolic 3-manifold, , is a subgroup. Due to the immersion and self-intersection of the image, false circles (green circles in Figure 7) are induced and its homotopy class is recorded. If there exists a normal subgroup in , such that does not belong to , we say it is a seperable subgroup. If it is separable, then the corresponding covered space has no false circles. At this time, the immersion in can be upgraded to the immersion of , and the complexity of self-intersection is reduced. After repeated promotion in this way for a limited number of times, it is expected that the initial immersion will be promoted to embedding, and the final coverage space will be limited re-coverage. Based on this idea, Peter Scott proved that if the surface subgroup is separable, then the 3-manifold is virtual Haken. From this we see that the separability of the group plays a crucial role.

Proving that the subgroups of surfaces in the fundamental group of hyperbolic 3-manifolds are separable is a very difficult problem. As shown in the figure, mathematicians solved the problem by embedding the fundamental group of 3-manifolds (also including the fundamental group of immersed incompressible surfaces) into a large group with good separability properties. This large group is usually chosen as the Right Angled Artin Group RAAG (Right Angled Artin Group). RAAG is the basic group of the so-called Salveti complex. Therefore the problem boils down to how to map the hyperbolic 3-manifold into the Salveti complex while ensuring the embedding of the fundamental groups (i.e. the induced homomorphisms between fundamental groups are injective). Haglund and Wise proved that if the hyperbolic 3-manifold has a cubic complex, that is, a hexahedral mesh, then the Salveti complex can be constructed and the mapping to the Salveti complex can be established. Furthermore, Wise conjectures that if the cube complex has no ill-conditioned conditions (i.e. special cube complex), then these mappings are local isometry mappings, which can guarantee the embedding of the basic group. Then Wise applies the Stalling folding technology and the classic complete method to construct the limited coverage of the Salveti complex (the complex in the upper right corner in Figure 15), so that it is embedded in it; then use the fiber product of and to obtain the complex
|
|
|
The cubic complex theory of 3-manifold topology lays the theoretical foundation for hexahedral mesh generation. Based on this theory, Ben, Chuan Lin and the author's team developed an industrial software system with rigorous theory, rigorous engineering and practical application, and entrusted the Beta CAE team to conduct rigorous testing on real data sets. In particular, this set of algorithms is applied to the simulation of 3DIC (three-dimensional integrated circuit chip) (Figure 16), which greatly improves efficiency and quality.
Summary
During the 2025 International Conference on Basic Sciences, the author reported to Mr. Qiu Chengtong on how to apply modern differential geometry theory to engineering practice. During the conference, Mr. Qiu entertained international friends and domestic mathematicians at his home many times. During the meeting, theoretical physicists from Italy asked Mr. Qiu: "We have studied Riemannian geometry all our lives, but I have always wondered whether Riemannian geometry is really applied in practice?" Mr. Qiu pointed at the author and said, "Recently, some of our early theoretical work has been deeply used in industrial applications!" The author continued to add, "Recently, Google mobile phones have used the AI generation model we developed, and this model is based on the Monge-Ampere equation theory established by Mr. Qiu in his early years. The development of the chip industry today has approached the physical limit. In order to break through this bottleneck, people began to stack chips to form 3DIC, and 3DIC technology brings huge challenges to simulation. In order to solve this challenge, we have developed hexahedral mesh generation technology based on Riemann-Roch and Ricci flow theory. At present, Ricci flow is the only calculation method that can design Riemannian metric, and it will be on par with the finite element method. "The Italian scholars were very excited after hearing this (the famous Riemannian geometers Ricci, Levi-Civita, Christoffel and Bianchi were all Italians). Everyone saw the practical role of modern mathematical theory in promoting science and technology.
Machine-translated from the Chinese original 圣杯问题与3-流形拓扑 (published 2025-09-02). WeChat original ↗